Subject: Re: Draft version of the IAD job announcement from the IASA TT

From: Allison Mankin <[email-masked]>
Date: Fri, 17 Dec 2004 06:52:41 -0800

Kurt, all,

Sorry these comments are so late.  I hope they will be read,
though, since I've been deployed on so many IETF operations...

I reviewed the BCP draft on the IAD role, and what I think the IAD position
should be like.  My major issue with the job description is that it
makes the IAD too much of a supporting position to a committee of bosses.
The IESG has at times with all good intentions acted as a committee
of bosses to the Secretariat.  We finally learned that that there must
be careful channeling, so that any message which is to be executed comes
from one designated voice.

But further, someone who manages contractor organizations and has signing 
authority at some level, should be entrusted to become skilled at running the
IETF operations at their top performance levels, so the IAOC volunteers
don't take the work as their work.  The job description should express that
the IAOC is quite senior, though under the oversight of the committee
I would not think of this as the IAD's being the committee's staff.
I would think of the IAD and the contractors as being the *IETF's* business
arm, with the committee being the board of that, and having IAD report
to them and having oversight over the IAD.

JOB DESCRIPTION:
 "You will report to the Internet Adminstrative Oversight Committee (IAOC)
 be accountable to the IETF community" [note missing "and"]
This is the root of my first comment - "report to" - I think we can leave
this and perhaps my comment really needs to be addressed in the BCP?

 "Serve as the primary staff resource for the governing body of the
 administrative resource for the IETF"
This is the root of my second comment.  Can it be dropped?

A few more comments inline.

> >    The IETF Administrative Entity is seeking a highly capable 
> > individual
> >    to serve as Administrative Director. You will report to the
> >    Internet Administrative Oversight Committee (IAOC) be accountable
> >    to the IETF community. This is a highly visible and very demanding
> >    job. You will be expected to:
> >
> >    o	Working with the IAOC to document and cater for the administrative
> >    	requirements of the IETF, IESG, IAB and IRTF.
> >
> >    o	Establish the IASA/IETF annual budgets, and the financial
> >    	administration and reporting of IASA/IETF.
> >
> >    o 	Work with ISOC and various service providers to establish
> > 	appropriate agreed budgets and related financial and performance
> > 	reporting.
> >
> >    o	Contract negotiations with service providers, and establish
> >    	procedures for meassuring the performance of these providers.
> >
> >    o	Eventual mangagement of support staff and contractors.
> >
> >    o	Serve as the day-to-day chief operating officer of the IETF,
> >    	managing a number of contractors and working with a number of
> >    	volunteers.
I like this.

> >
> >    o	Work with our liaison organizations, such as the RFC Editor and
> >    	the IANA.
> >
> >    o	Coordinate the standards-making support process, in particular the
> >    	periodic meetings of the IESG.
There's a lot more to standards-making support than our meetings, so
I'm not sure about just calling out the meetings, even if "periodic" makes
sense.  Maybe "Coordinate the correct functions of the standards-making process,
in particular the regular meetings of the IESG, but also all other aspects,
wherever they are managed."

> >
> >    o 	Serve as the primary staff resource for the governing body of the
> >    	administrative entity for the IETF.
> >
> >    o	Work with your contractors and members of the IETF community to
> >    	provide adequate support and planning for 3 IETF meetings
> >    	annually, and for frequent meetings and teleconferences of the
> >    	IAB, IESG, and other bodies that support the IETF.
> >
> >
> >    The following characteristics are necessary for this job:
> >
> >    o	This job is public service. You should be able to work
> >    	successfully with large numbers of people. This requires a high
> >    	clock rate, a large stack, and the ability to listen carefully.
> >
> >    o 	This is an operations job. IETF meetings are large and complex,
> >    	and the day-to-day activities of the standards-making process is
> >    	demanding. You should be adept at getting real results and
> >    	helping large groups work together towards common goals and
> >    	deadlines.
> >
> >    o	This is a public job. You will be required to present the
> >    	results and achievements of the IASA in front of the community
> >    	as well as dealing with questions from individual members of the
> >    	community. The goal of IASA is to achieve as much transparency
> >    	as possible so good communication skills, and previous similar
> >    	experiences are valued.
> >
> >    o 	This job requires a financially astute individual. The IETF is a
> >    	$2-$3 million/year operation. IETF funds are tight and we expect
> >    	you to take leadership in establishing our budgetary procedures,
> >    	our procurement standards, and understanding our revenue sources.
> >
> >    In-depth familiarity with the IETF prior to assuming this position 
> > is
> >    not required, but you must be able to quickly get up to speed and
> >    learn the unique culture and requirements of the organization.
> >    Likewise, long-term technical experience is not required, but you
> >    must be a quick learner and adept at using the Internet effectively.
> >
> >    The Internet Society is based in Reston, Virginia and the job will
> >    require a high level of travel for IETF meetings and preparation and
> >    related meetings. You may work out of a home office as a 
> > telecommuter,
> >    or use the Internet Society facilities in Virginia. In either case,
> > you
> >    should be prepared to travel to Virginia, IETF meetings, and the
> >    locations where the IETF has contractors.
> >
> >    Salary levels commensurate with experience and qualifications.
> >
> >    You must be fluent in spoken and written english.
> >
> >    Applicants should forward a resume, references, and any other
> >    relevant materials, with a cover letter explaining why they feel 
> > they
> >    are the right person for this position written in text or PDF, in an
> >    email sent to [email-masked]
> >
> >    Applications will be evaluated starting January 15th. The evaluation
> > of
> >    applications, selection and appointment of the IAD will be made by 
> > the
> >    IASA transition team.
> >
> >    The list of applicants will not be posted publicly, but will be
> >    reviewed in confidence by members of the evaluation committee, the
> >    IAB, and the IESG.
> >
> >

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf